# NIPFundTransfer

***

**URI**: /NIPFundTransfer

\
**HTTP Method**: POST

\
**Headers**:

* Accept: application/json
* Content-Type: application/json

**Request body**

```json
{
  "beneficiaryAccountName": "UGBO, CHARLES UMORE",
  "transactionAmount": "2000.45",
  "currencyCode": "NGN",
  "narration": "Testing",
  "sourceAccountName": "Nnamdi Adebayo Hamzat",
  "beneficiaryAccountNumber": "0045434120",
  "beneficiaryBank": "000013",
  "transactionReference": "20191119143854",
  "userName": "test",
  "password": "test"
}
```

{% tabs %}
{% tab title="200 Successful" %}

```javascript
{
  "transactionReference": "20191119143854",
  "sessionId": "999037230913163757005000082268",
  "responseMessage": "Approved or completed successfully",
  "responseCode": "00"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```
{
  "transactionReference": "20191119143501",
  "responseMessage": "TRANSACTION REFERENCE EXISTS",
  "responseCode": "7709"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```
{
  "transactionReference": "20191119143501",
  "responseMessage": "TRANSACTION REFERENCE EXISTS",
  "responseCode": "7709"
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```
{
  "transactionReference": "20191119143501",
  "responseMessage": "TRANSACTION REFERENCE EXISTS",
  "responseCode": "7709"
}
```

{% endtab %}
{% endtabs %}

***

### Sample Implementation

{% tabs %}
{% tab title="Curl" %}
{% code overflow="wrap" %}

```javascript
curl -X POST http://154.113.16.142:8882/postingrest/NIPFundTransfer \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{"beneficiaryAccountName":"UGBO, CHARLES UMORE","transactionAmount":"2000.45","currencyCode":"NGN","narration":"Testing","sourceAccountName":"Nnamdi Adebayo Hamzat","beneficiaryAccountNumber":"0045434120","beneficiaryBank":"000013","transactionReference":"20191119143854","userName":"test","password":"test"}'
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "http://154.113.16.142:8882/postingrest/NIPFundTransfer"
headers = {"Accept": "application/json", "Content-Type": "application/json"}
data = {
    "beneficiaryAccountName": "UGBO, CHARLES UMORE",
    "transactionAmount": "2000.45",
    "currencyCode": "NGN",
    "narration": "Testing",
    "sourceAccountName": "Nnamdi Adebayo Hamzat",
    "beneficiaryAccountNumber": "0045434120",
    "beneficiaryBank": "000013",
    "transactionReference": "20191119143854",
    "userName": "test",
    "password": "test"
}
response = requests.post(url, json=data, headers=headers)
print(response.json())
```

{% endtab %}

{% tab title="Java" %}

```java
import java.net.HttpURLConnection;
import java.net.URL;
import java.io.OutputStream;
import java.io.BufferedReader;
import java.io.InputStreamReader;

public class NIPFundTransfer {
    public static void main(String[] args) throws Exception {
        URL url = new URL("http://154.113.16.142:8882/postingrest/NIPFundTransfer");
        HttpURLConnection conn = (HttpURLConnection) url.openConnection();
        conn.setRequestMethod("POST");
        conn.setRequestProperty("Accept", "application/json");
        conn.setRequestProperty("Content-Type", "application/json");
        conn.setDoOutput(true);

        String jsonInput = "{\"beneficiaryAccountName\":\"UGBO, CHARLES UMORE\",\"transactionAmount\":\"2000.45\",\"currencyCode\":\"NGN\",\"narration\":\"Testing\",\"sourceAccountName\":\"Nnamdi Adebayo Hamzat\",\"beneficiaryAccountNumber\":\"0045434120\",\"beneficiaryBank\":\"000013\",\"transactionReference\":\"20191119143854\",\"userName\":\"test\",\"password\":\"test\"}";
        try (OutputStream os = conn.getOutputStream()) {
            byte[] input = jsonInput.getBytes("utf-8");
            os.write(input, 0, input.length);
        }

        BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(), "utf-8"));
        StringBuilder response = new StringBuilder();
        String responseLine;
        while ((responseLine = br.readLine()) != null) {
            response.append(responseLine.trim());
        }
        System.out.println(response.toString());
    }
}
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const fetch = require('node-fetch');

const url = 'http://154.113.16.142:8882/postingrest/NIPFundTransfer';
const headers = {
    'Accept': 'application/json',
    'Content-Type': 'application/json'
};
const data = {
    beneficiaryAccountName: 'UGBO, CHARLES UMORE',
    transactionAmount: '2000.45',
    currencyCode: 'NGN',
    narration: 'Testing',
    sourceAccountName: 'Nnamdi Adebayo Hamzat',
    beneficiaryAccountNumber: '0045434120',
    beneficiaryBank: '000013',
    transactionReference: '20191119143854',
    userName: 'test',
    password: 'test'
};

fetch(url, {
    method: 'POST',
    headers: headers,
    body: JSON.stringify(data)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$url = "http://154.113.16.142:8882/postingrest/NIPFundTransfer";
$headers = [
    "Accept: application/json",
    "Content-Type: application/json"
];
$data = [
    "beneficiaryAccountName" => "UGBO, CHARLES UMORE",
    "transactionAmount" => "2000.45",
    "currencyCode" => "NGN",
    "narration" => "Testing",
    "sourceAccountName" => "Nnamdi Adebayo Hamzat",
    "beneficiaryAccountNumber" => "0045434120",
    "beneficiaryBank" => "000013",
    "transactionReference" => "20191119143854",
    "userName" => "test",
    "password" => "test"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        using (var client = new HttpClient())
        {
            client.DefaultRequestHeaders.Add("Accept", "application/json");
            var content = new StringContent(
                "{\"beneficiaryAccountName\":\"UGBO, CHARLES UMORE\",\"transactionAmount\":\"2000.45\",\"currencyCode\":\"NGN\",\"narration\":\"Testing\",\"sourceAccountName\":\"Nnamdi Adebayo Hamzat\",\"beneficiaryAccountNumber\":\"0045434120\",\"beneficiaryBank\":\"000013\",\"transactionReference\":\"20191119143854\",\"userName\":\"test\",\"password\":\"test\"}",
                Encoding.UTF8,
                "application/json"
            );
            var response = await client.PostAsync("http://154.113.16.142:8882/postingrest/NIPFundTransfer", content);
            var responseString = await response.Content.ReadAsStringAsync();
            Console.WriteLine(responseString);
        }
    }
}
```

{% endtab %}
{% endtabs %}

> The above command returns JSON structured like this:

```json
{
  "transactionReference": "20191119143854",
  "sessionId": "999037230913163757005000082268",
  "responseMessage": "Approved or completed successfully",
  "responseCode": "00"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.providusbank.com/transfer-services/nipfundtransfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
